karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Updated] (KARAF-5641) Karaf boot scripts need to deal with JDK10 version patterns
Date Fri, 23 Feb 2018 13:56:00 GMT

     [ https://issues.apache.org/jira/browse/KARAF-5641?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré updated KARAF-5641:
----------------------------------------
    Component/s:     (was: karaf-boot)
                 karaf-core

> Karaf boot scripts need to deal with JDK10 version patterns
> -----------------------------------------------------------
>
>                 Key: KARAF-5641
>                 URL: https://issues.apache.org/jira/browse/KARAF-5641
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-core
>    Affects Versions: 4.2.0.M2
>            Reporter: Sanne Grinovero
>            Assignee: Jean-Baptiste Onofré
>            Priority: Major
>             Fix For: 4.2.0
>
>
> The {{checkJvmVersion()}} function in the {{/bin/inc}} script of the distribution is
not dealing with the new output of {{java -version}} of JDK10 (and later?).
> The {{VERSION}} variable is left undefined, which then has the main bootscript to not
set the Jigsaw modules correctly (the various JVM flags which need to be enabled since Java
9).
> This is a blocker to use Karaf on Java 10, which is already in candidate release. I don't
think much else is changed compared to Java 9 so it would be great to sort this.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message